package cn.com.taiji.video.mapper;

import cn.com.taiji.video.model.HtDpVideo;
import cn.com.taiji.video.model.VideoDTO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Description
 *
 * @Author  yangyue
 * @Date 2023/7/24
 */
@Mapper
public interface HtDpVideoMapper extends BaseMapper<HtDpVideo> {

    /**
     * 查询视频记录列表
     *
     * @return 视频记录集合
     */
    List<VideoDTO> selectVideoList();

}
